@import "styles/description.scss";

.item {
  font-weight: 600;
  font-size: 14px;
  color: $color-text-main;
  padding: 0 20px;
  cursor: pointer;
  position: relative;
  display: flex;
  align-items: center;

  @include mobile {
    flex-direction: column;
    align-items: flex-start;
    padding: 0 8px 10px 20px;
    font-size: 16px;
  }

  @media screen and (min-width: 768px) {
    &:focus,
    &:hover {
      color: $color-red-hover;

      & > .sub {
        top: 60px;
      }
    }
  }
}

.sub {
  position: absolute;
  background: $color-white;
  box-shadow: 0px 10px 40px rgba(0, 0, 0, 0.07);
  white-space: nowrap;
  top: -200px;
  left: -10px;
  padding: 30px;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  z-index: -1;
  -webkit-transition: top 0.2s;
  transition: top 0.2s;

  @include mobile {
    overflow: hidden;
    max-height: 0;
    transition: all 0.3s ease-out;
    box-shadow: none;
    background: none;
    position: unset;
    padding: 0;
    z-index: unset;

    &--isOpen {
      max-height: 750px;
    }
  }
}

.sub__wrapper {
  display: flex;
  flex-direction: column;

  @include mobile {
    padding: 0 0 20px 10px;
  }
}

.line {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  font-weight: 600;

  &--active {
    color: $color-red;
  }
}

.arrow {
  width: 14px;
  height: 8px;
  transition: all 0.3s ease-out;

  &--isOpen {
    transform: rotate(180deg);
  }

  &--isActive {
    path {
      fill: $color-red;
    }
  }
}

.arrow__wrapper {
  display: none;
  width: 40px;
  height: 40px;

  @include mobile {
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

.subItem {
  font-weight: 600;
  font-size: 14px;
  line-height: 19px;
  color: $color-text-main;
  outline: none;

  & + & {
    margin-top: 15px;
  }

  @include mobile {
    font-weight: 300;
    margin: 20px 0 0 0;
  }

  &:hover {
    color: $color-red-hover;
  }

  &--active {
    color: $color-red;
  }
}
